Generation Framework

## org.eclipse.gmf.gmfgraph.impl
Class CompartmentImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.gmfgraph.impl.DiagramElementImpl
                      org.eclipse.gmf.gmfgraph.impl.CompartmentImpl

All Implemented Interfaces:
  Compartment, DiagramElement, EObject, Identity, InternalEObject, Notifier

public class CompartmentImpl
extends DiagramElementImpl
implements Compartment

An implementation of the model object 'Compartment'.

The following features are implemented:

- `Collapsible`
- `Needs Title`

** Generated **

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList`

Nested classes inherited from class org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected boolean` `collapsible` The cached value of the '`Collapsible`' attribute
`protected static boolean` `COLLAPSIBLE_EDEFAULT` The default value of the '`Collapsible`' attribute
`protected static boolean` `NEEDS_TITLE_EDEFAULT` The default value of the '`Needs Title`' attribute
`protected boolean` `needsTitle` The cached value of the '`Needs Title`' attribute

Fields inherited from class org.eclipse.gmf.gmfgraph.impl.DiagramElementImpl
`facets, figure, name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `CompartmentImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`boolean` `isCollapsible()`
`boolean` `isNeedsTitle()`
`void` `setCollapsible(boolean newCollapsible)`
`void` `setNeedsTitle(boolean newNeedsTitle)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.gmf.gmfgraph.impl.DiagramElementImpl
`basicGetFigure, basicSetFigure, eInverseAdd, eInverseRemove, find, getFacets, getFigure, getName, setFigure, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.gmfgraph.DiagramElement
`find, getFacets, getFigure, setFigure`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Identity
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### COLLAPSIBLE_EDEFAULT

    protected static final boolean COLLAPSIBLE_EDEFAULT

  The default value of the '`Collapsible`' attribute.

  See Also:
    `CompartmentImpl.isCollapsible()`, Constant Field Values
  ** Generated **
  Ordered:

### collapsible

    protected boolean collapsible

  The cached value of the '`Collapsible`' attribute.

  See Also:
    `CompartmentImpl.isCollapsible()`
  ** Generated **
  Ordered:

### NEEDS_TITLE_EDEFAULT

    protected static final boolean NEEDS_TITLE_EDEFAULT

  The default value of the '`Needs Title`' attribute.

  See Also:
    `CompartmentImpl.isNeedsTitle()`, Constant Field Values
  ** Generated **
  Ordered:

### needsTitle

    protected boolean needsTitle

  The cached value of the '`Needs Title`' attribute.

  See Also:
    `CompartmentImpl.isNeedsTitle()`
  ** Generated **
  Ordered:

Constructor Detail

### CompartmentImpl

    protected CompartmentImpl()

** Generated **

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `DiagramElementImpl`
  ** Generated **

### isCollapsible

    public boolean isCollapsible()

  Specified by:
    `isCollapsible` in interface `Compartment`
  Returns:
    the value of the 'Collapsible' attribute.
  See Also:
    `Compartment.setCollapsible(boolean)`, `GMFGraphPackage.getCompartment_Collapsible()`
  ** Generated **

### setCollapsible

    public void setCollapsible(boolean newCollapsible)

  Specified by:
    `setCollapsible` in interface `Compartment`
  Parameters:
    `newCollapsible` - the new value of the 'Collapsible' attribute.
  See Also:
    `Compartment.isCollapsible()`
  ** Generated **

### isNeedsTitle

    public boolean isNeedsTitle()

  Specified by:
    `isNeedsTitle` in interface `Compartment`
  Returns:
    the value of the 'Needs Title' attribute.
  See Also:
    `Compartment.setNeedsTitle(boolean)`, `GMFGraphPackage.getCompartment_NeedsTitle()`
  ** Generated **

### setNeedsTitle

    public void setNeedsTitle(boolean newNeedsTitle)

  Specified by:
    `setNeedsTitle` in interface `Compartment`
  Parameters:
    `newNeedsTitle` - the new value of the 'Needs Title' attribute.
  See Also:
    `Compartment.isNeedsTitle()`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `DiagramElementImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `DiagramElementImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `DiagramElementImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `DiagramElementImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `DiagramElementImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.